# Uses of Class
java.io.BufferedReader

Packages that use BufferedReader
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of BufferedReader in java.io

Subclasses of BufferedReader in java.io
Modifier and Type
Class
Description
`class`
`LineNumberReader`
A buffered character-input stream that keeps track of line numbers.

## Uses of BufferedReader in java.lang

Methods in java.lang that return BufferedReader
Modifier and Type
Method
Description
`final BufferedReader`
Process.`errorReader()`
Returns a `BufferedReader` connected to the standard error of the process.
`final BufferedReader`
Process.`errorReader(Charset charset)`
Returns a `BufferedReader` connected to the standard error of this process using a Charset.
`final BufferedReader`
Process.`inputReader()`
Returns a `BufferedReader` connected to the standard output of the process.
`final BufferedReader`
Process.`inputReader(Charset charset)`
Returns a `BufferedReader` connected to the standard output of this process using a Charset.

## Uses of BufferedReader in java.nio.file

Methods in java.nio.file that return BufferedReader
Modifier and Type
Method
Description
`static BufferedReader`
Files.`newBufferedReader(Path path)`
Opens a file for reading, returning a `BufferedReader` to read text from the file in an efficient manner.
`static BufferedReader`
Files.`newBufferedReader(Path path, Charset cs)`
Opens a file for reading, returning a `BufferedReader` that may be used to read text from the file in an efficient manner.